
Auto Multiple Choice - Bug # 899: Confusing error when ghostscript isn't installed

Status: New Priority: Normal
Author: Thibault P Category:
Created: 11/28/2023 Assignee:
Updated: 11/30/2023 Due date:
Description: Automatic data capture from a valid PDF, fails with the attached message box and the following console 

output:
<pre>
$ result/bin/auto-multiple-choice gui
Command failed at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Basic.pm line 
212, <GEN1378> line 3.
terminate called after throwing an instance of 'cv::Exception'
  what():  OpenCV(4.7.0) /build/source/modules/imgproc/src/smooth.dispatch.cpp:617: error: (-215:Assertion 
failed) !_src.empty() in function 'GaussianBlur'

Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Use of uninitialized value in sprintf at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Boite.pm line 
210.
Warning: unable to close filehandle GEN1377 properly: Broken pipe at 
/nix/store/92rqszv638bbakpfg95gb9f09gkngwf8-auto-multiple-choice-1.6.0/share/perl5/AMC/Subprocess.pm 
line 115 during global destruction.
</pre>

This is AMC 1.6.0 on NixOS.  The console outputs suggests the issue is with OpenCV (version on nixos is 
4.7.0), but the _src.empty() failed assertion suggests that maybe the problem happens earlier.   The 
@scans/@ subdir remains empty, so maybe it's a graphicsmagick issue?  

I'm the maintainer of the NixOS package, so there's no help to be found downstream.  I'm interested in any 
suggestion as to how to start investigating this issue!
Thanks,
Best regards,
Thibault

History
11/30/2023 11:57 am - Thibault P
Fixed: ghostscript wasn't installed.  I'm leaving this open with a new title, because the error is very confusing.

11/30/2023 11:58 am - Thibault P
Sorry, can't change the title apparently.  It should read: Confusing error when ghostscript isn't installed.

11/30/2023 12:09 pm - Alexis Bienvenüe
- Subject changed from Automatic data capture fails, probably related with OpenCV to Confusing error when ghostscript isn't installed
